export interface IFileUploadService {
    checkValidFile(event: DragEvent): void;
    getObjectMesh(target: any): void;
    getFilesFromItemList(dataTransferItemList: DataTransferItemList): Promise<{
        files: File[];
        filesMap: {
            [p: string]: File;
        };
    }>;
}
declare class FileUploadService implements IFileUploadService {
    #private;
    getObjectMesh(target: any): void;
    checkValidFile(event: DragEvent): void;
    getFilesFromItemList(dataTransferItemList: DataTransferItemList): Promise<{
        files: File[];
        filesMap: {
            [key: string]: File;
        };
    }>;
}
export default FileUploadService;
